List worker addresses
Returns the worker’s current home, postal and contract addresses. Set include_scheduled to true to also return the future-dated version of an address, with the same id and its effective_date. Contract addresses are read-only here: GP payroll contract addresses are updated with PATCH /rest/gp/workers/{worker_id}/address. This endpoint must be enabled per organization before it can be used.
Token scopes: people:read
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-28.
Authentication
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
Headers
Opts in to the beta version of this endpoint. Must be true.
Query parameters
When true, also returns the future-dated (scheduled) versions of the addresses.